<?php
/**
* Simple isotope module  - Joomla Module 
* Version			: 1.0.22
* Package			: Joomla 3.x.x
* copyright 		: Copyright (C) 2016 ConseilGouz. All rights reserved.
* license    		: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* From              : isotope.metafizzy.co
* Updated on        : October, 2016
* 01.0.20 : weblinks : prendre $item->link au lieu de $item->url
* 01.0.21 : tous les affichages dans fichier language + format date
* 01.0.22 : parametre displaysortinfo sur une ou 2 lignes
*/

defined('_JEXEC') or die;
if ($iso_entree == "articles") {
	$defaultdisplay = $params->get('defaultdisplay_article', 'date_desc');
} else {
	$defaultdisplay = $params->get('defaultdisplay', 'date_desc');
}
$displaysortinfo = $params->get('displaysortinfo', 'show');
$displayfilter =  $params->get('displayfilter','button');
$title_link = $params->get('title_link','article');				// <======= lien pour le titre des articles
$title_lnk_param = $params->get('ttllk_param','Noparam');		// <======= Paramètre à ajouter en bout de lien
$filter_param = $params->get('filter_param','Tous');			// <======= Filtrer tout ou tags.

echo '<style type="text/css">';
if (($iso_layout == "masonry") || ($iso_layout == "fitRows")) {
	echo '.isotope_item {width: '.((100 / $iso_nbcol)-2).'% }';
} else if ($iso_layout == "vertical") {
	echo '.isotope_item {width: 100%; }';
}
echo '.isotope_item {background:'.$params->get("backgroundcolor","#eee").';}';
echo '</style>';
$libreverse=JText::_('SSISO_LIBREVERSE');
$liball = JText::_('SSISO_LIBALL');
$libdate = JText::_('SSISO_LIBDATE');
$libcategory = JText::_('SSISO_LIBCAT');
$libvisit= JText::_('SSISO_LIBVISIT');
$libalpha=JText::_('SSISO_LIBALPHA');
$libcreated=JText::_('SSISO_LIBCREATED'); 
$libupdated=JText::_('SSISO_LIBUPDATED');
$libfilter=JText::_('SSISO_LIBFILTER');  
$libdateformat = JText::_('SSISO_DATEFORMAT'); // format d'affichage des dates au format php d/m/Y H:i  = format fran�ais avec heure/minutes
?>
<div class="isotope-div" >
<div class="isotope_button-group sort-by-button-group">
<?php if ($iso_entree == "webLinks") {
$sens = "-";
$sens = $defaultdisplay=="date_desc"? "+": $sens;
 echo '<button class="isotope_button is-checked iso_button_date" data-sort-value="date,title,category,click" data-sens="'.$sens.'" title="'.$libreverse.'">'.$libdate.'</button>';
$sens = "-";
$sens = $defaultdisplay=="cat_desc"? "+": $sens;
  echo '<button class="isotope_button iso_button_cat" data-sort-value="category,title,date,click" data-sens="'.$sens.'" title="'.$libreverse.'">'.$libcategory.'</button>';
} else {
$sens = "-";
$sens = $defaultdisplay=="date_desc"? "+": $sens;
  echo '<button class="isotope_button iso_button_date is-checked" data-sort-value="date,title,category,click" data-sens="'.$sens.'" title="'.$libreverse.'">'.$libdate.'</button>';
}
$sens = "-";
$sens = $defaultdisplay=="alpha_desc"? "+": $sens;
  echo '<button class="isotope_button iso_button_alpha" data-sort-value="title,category,date,click" data-sens="'.$sens.'" title="'.$libreverse.'">'.$libalpha.'</button>';
$sens = "-";
$sens = $defaultdisplay=="click_desc"? "+": $sens;
  echo '<button class="isotope_button iso_button_click" data-sort-value="click,title,category,date" data-sens="'.$sens.'" title="'.$libreverse.'">'.$libvisit.'</button>';
  ?>

</div>
<?php 
//*************************************************************************************
    if (count($tags_list) > 0) { // on a d�fini une liste de tags
		$tags = array();
		foreach ($tags_list as $key) {
			$tags[]= ModIsotopeHelper::getTagTitle($key);
		}
	} 
	asort($tags,  SORT_STRING | SORT_FLAG_CASE | SORT_NATURAL ); // tri des tags en ordre alphab�tique
	$tagflt='';
	foreach ($tags as $tag) {
		if($tagflt ==''){										// <===== chaine de filtrage initial
			$tagflt = $tagflt.".".$tag;
        }
		else
        {
			$tagflt = $tagflt.", .".$tag;
        }
	}

//******************************************************************************************

if (!($displayfilter == "hide")) { ?>
<div class="isotope_button-group filter-button-group">
<?php
if ($iso_entree == "webLinks") {
	if ($displayfilter == "button") {
			echo '<button class="isotope_button iso_button_cat_tout is-checked" data-sort-value="0" />'.$liball.'</button>';
			foreach ($list as $key=>$category) {
				$desc = ModIsotopeHelper::gebWebLinksCategoryName($key);
				echo '<button class="isotope_button iso_button_cat_'.$key.'" data-sort-value="'.$key.'" />'.$desc.'</button>';
			}
	} else {
		echo '<p class="hidden-phone" >'.$libfilter.'</p><select class="isotope_select">';
		echo '<option>'.$liball.'</option>';
			foreach ($list as $key=>$category) {
				$desc = ModIsotopeHelper::gebWebLinksCategoryName($key);
				echo '<option value="'.$key.'">'.$desc.'</option>';
		}
	}
	echo '</select>';
	
} else if ($iso_entree == "articles") {
    if (count($tags_list) > 0) { // on a d�fini une liste de tags
		$tags = array();
		foreach ($tags_list as $key) {
			$tags[]= ModIsotopeHelper::getTagTitle($key);
		}
	} 
	asort($tags,  SORT_STRING | SORT_FLAG_CASE | SORT_NATURAL ); // tri des tags en ordre alphab�tique

	echo '<p class="hidden-phone" >'.$libfilter.' : </p><select class="isotope_select">';
	echo '<option>'.$liball.'</option>';
	foreach ($tags as $tag) {
		echo '<option>'.$tag.'</option>';
	}
	echo '</select>';
 	
}?>
</div>
<?php } ?>
</div>
<div class="isotope_grid">
<?php
foreach ($list as $key=>$category) {
	foreach ($category as $item) {
		$tag_display = "";
		if ($iso_entree == "articles") { 
			foreach ($article_tags[$item->id] as $tag) {
				$tag_display = $tag_display." ".$tag->tag; 
			};
		}
		$ladate = $iso_entree == "webLinks"? $item->created : $item->displayDate;
		$click = $item->hits;
		echo '<div class="isotope_item iso_cat_'.$key.' '.$key.' '.$tag_display.'" data-title="'.$item->title.'" data-category="'.$key.'" data-date="'.$ladate.'" data-click="'.$click.'">';
		if ($iso_entree == "webLinks") {
				echo '<p><a href="'.$item->link.'" target="_blank">'.$item->title.'</a>&nbsp;';
				if ($displaysortinfo == "show") {
					echo '<br/><span class="iso_date">'.$libcreated.JHtml::_('date', $item->created, $libdateformat).'</span>,&nbsp;<span class="iso_click"> '.$item->hits.' visites</span>';
					}
				if ($displaysortinfo == "show2") {
					echo '<br/><span class="iso_date">'.$libcreated.JHtml::_('date', $item->created, $libdateformat).'</span><br /><span class="iso_click"> '.$item->hits.' visites</span>';
					}
				if ($displaysortinfo == "showdate") {
					echo '<br/><span class="iso_date">'.$libcreated.JHtml::_('date', $item->created, $libdateformat).'</span>';
				}
				if ($displaysortinfo == "showclicks") {
					echo '<br/><span class="iso_click">'.$item->hits.'&nbsp;visites</span>';
				}
				echo '<br/>'.$item->description.'</p>';
		} else {
		    echo'<p>';
			foreach ($article_tags[$item->id] as $tag) 
			{ 
				// echo $tag->tag.'>';
			}
            if ($title_link =='article'){
				echo '<a href="'.$item->link.'">'.$item->title.'</a>';          // <============lien sur le titre de l'article
            }
        	else
            {
            if ($title_lnk_param == 'Noparam')	// <= pas de parametre additionnel
            	{
            	echo '<a href="'.$title_link.'">'.$item->title.'</a>';          // <============lien perso sur le titre
            	}
            if ($title_lnk_param == 'Cat')	// <= Paramètre Cat
            	{
            	echo '<a href="'.$title_link.'&Cat='.ModIsotopeHelper::gebWebLinksCategoryName($key).'">'.$item->title.'</a>';          // <============lien perso sur le titre
            	}
            if ($title_lnk_param == 'Tag')	// <= Paramètre Tag
            	{
            	echo '<a href="'.$title_link.'&tag='.$article_tags[$item->id][0]->tag.'">'.$item->title.'</a>';          // <============lien perso sur le titre
            	}
            }
			$choixdate = $params->get('choixdate', 'modified');
			$libdate = $choixdate == "modified" ? $libupdated : $libcreated;
			if ($displaysortinfo == "show") {
				echo '<br/><span class="iso_date">'.$libdate.JHtml::_('date', $item->displayDate, $libdateformat).'</span><span class="iso_click">,&nbsp;'.$item->hits.'&nbsp;'.$libvisit.'</span>';
			}
			if ($displaysortinfo == "show2") {
				echo '<br/><span class="iso_date">'.$libdate.JHtml::_('date', $item->displayDate, $libdateformat).'</span><span class="iso_click"><br />'.$item->hits.'&nbsp;'.$libvisit.'</span>';
			}
			if ($displaysortinfo == "showdate") {
				echo '<br/><span class="iso_date">'.$libdate.JHtml::_('date', $item->displayDate, $libdateformat).'</span>';
			}
			if ($displaysortinfo == "showclicks") {
				echo '<br/><span class="iso_click">'.$item->hits.'&nbsp;'.$libvisit.'</span>';
			}
			echo '<br/>'.$item->displayIntrotext.'</p>';
			
		}
		echo '</div>';
	}
}
?>

</div>
<script>
var $grid = jQuery('.isotope_grid').isotope({
  itemSelector: '.isotope_item',
  <?php 
	echo "layoutMode:'".$iso_layout."',"; 
	?>
  getSortData: {
    title: '[data-title]',
    category: '[data-category]',
	date: '[data-date]',
	click: '[data-click] parseInt'
  },
<?php

if ($iso_entree == "webLinks") {  
  if ($defaultdisplay == "date_asc")  echo "sortBy: [ 'date','category','title','click'], sortAscending: true";
  if ($defaultdisplay == "date_desc")  echo "sortBy: [ 'date','category','title','click'], sortAscending: false";
  if ($defaultdisplay == "cat_asc")   echo "sortBy: [ 'category','title','date','click'], sortAscending: true";
  if ($defaultdisplay == "cat_desc")   echo "sortBy: [ 'category','title','date','click'], sortAscending: false";
  if ($defaultdisplay == "alpha_asc")   echo "sortBy: [ 'title','category','date','click'], sortAscending: true";
  if ($defaultdisplay == "alpha_desc")   echo "sortBy: [ 'title','category','date','click'], sortAscending: false";
  if ($defaultdisplay == "click_asc")   echo "sortBy: [ 'click','category','title','date'], sortAscending: true";
  if ($defaultdisplay == "click_desc")   echo "sortBy: [ 'click','category','title','date'], sortAscending: false";
  } else {
  if ($defaultdisplay == "date_asc")  echo "sortBy: [ 'date','title','click'], sortAscending: true";
  if ($defaultdisplay == "date_desc")  echo "sortBy: [ 'date','title','click '], sortAscending: false";
  if ($defaultdisplay == "alpha_asc")  echo "sortBy: [ 'title','date','click'], sortAscending: true";
  if ($defaultdisplay == "alpha_desc")  echo "sortBy: [ 'title','date','click'], sortAscending: false";
  if ($defaultdisplay == "click_asc")   echo "sortBy: [ 'click','category','title','date'], sortAscending: true";
  if ($defaultdisplay == "click_desc")   echo "sortBy: [ 'click','category','title','date'], sortAscending: false";
}?>
});
<?php
if ($filter_param == 'Tous'){
	?>
  $grid.isotope({ filter: '*' }); 						// <=========== initialisation du filtre ici !
	<?php
}
else
{
?>
  $grid.isotope({ filter: <?php echo "'".$tagflt."'"; ?> }); 						// <=========== initialisation du filtre ici !

<?php 

}
?>

// bind sort button click

jQuery('.sort-by-button-group').on( 'click', 'button', function() {
 var sortValue = jQuery(this).attr('data-sort-value'),
 sens = jQuery(this).attr('data-sens');
  sortValue = sortValue.split(',');
  if (sens == "+") {
	jQuery(this).attr("data-sens","-");
	$grid.isotope({ 
		sortBy: sortValue, 
		sortAscending: true 
		});
	} else {
	jQuery(this).attr("data-sens","+");
	$grid.isotope({ 
		sortBy: sortValue, 
		sortAscending: false 
		});
	}
});
jQuery('.filter-button-group').on( 'change', function() {
  var sortValue = jQuery(this).find(":selected").val();
  if (sortValue == '<?php echo $liball;?>')   {
  $grid.isotope({ filter: '*' });
  } else
  { 
  var laclasse = '.'+sortValue;
	$grid.isotope({ filter: laclasse }); }
});

jQuery('.filter-button-group').on( 'click', 'button', function() {
  var sortValue = jQuery(this).attr('data-sort-value');
  if (sortValue == 0) {
  $grid.isotope({ filter: '*' });
  } else
  { 
  var laclasse = '.'+sortValue;
	$grid.isotope({ filter: laclasse }); }
});

jQuery('.isotope_button-group').each( function( i, buttonGroup ) {
  var $buttonGroup = jQuery( buttonGroup );
  $buttonGroup.on( 'click', 'button', function() {
    $buttonGroup.find('.is-checked').removeClass('is-checked');
    jQuery( this ).addClass('is-checked');
  });
});
</script>	
