<?php
/**
* Simple isotope module  - Joomla Module 
* Version			: 1.0.20
* Package			: Joomla 3.x.x
* copyright 		: Copyright (C) 2016 ConseilGouz. All rights reserved.
* license    		: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* From              : isotope.metafizzy.co
* Updated on        : Octobre, 2016
*/

defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';

$document 		= JFactory::getDocument();
$baseurl 		= JURI::base();
$modulefield	= ''.JURI::base(true).'/modules/mod_simple_isotope/';

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

$iso_entree = $params->get('iso_entree', 'webLinks');
$iso_layout = $params->get('iso_layout', 'fitRows');
$iso_nbcol = $params->get('iso_nbcol',2);
$tags_list = $params->get('tags');
if ($iso_entree == "webLinks") {
	$list = ModIsotopeHelper::getWebLinks($params);
	if (!$list) return false; // on a eu une erreur: on sort
} else { 
	$categories = $params->get('categories');
	$article_tags = array();
	$tags = array();
	foreach ($categories as $catid) {
		$list[$catid] = ModIsotopeHelper::getCategory($catid,$params,$tags,$article_tags,$module);
	}
}
JHtml::_('bootstrap.framework');
$document->addStyleSheet($modulefield.'css/isotope.css');
$document->addScript($modulefield.'js/isotope.min.js');

require JModuleHelper::getLayoutPath('mod_simple_isotope', $params->get('layout', 'default'));
